summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'x11-libs')
-rw-r--r--x11-libs/qt-assistant/ChangeLog9
-rw-r--r--x11-libs/qt-assistant/qt-assistant-4.5.0_rc1.ebuild45
-rw-r--r--x11-libs/qt-core/ChangeLog5
-rw-r--r--x11-libs/qt-core/qt-core-4.5.0_rc1.ebuild187
-rw-r--r--x11-libs/qt-dbus/ChangeLog7
-rw-r--r--x11-libs/qt-dbus/qt-dbus-4.5.0_rc1.ebuild37
-rw-r--r--x11-libs/qt-gui/ChangeLog7
-rw-r--r--x11-libs/qt-gui/metadata.xml8
-rw-r--r--x11-libs/qt-gui/qt-gui-4.5.0_rc1.ebuild132
-rw-r--r--x11-libs/qt-opengl/ChangeLog7
-rw-r--r--x11-libs/qt-opengl/qt-opengl-4.5.0_rc1.ebuild40
-rw-r--r--x11-libs/qt-phonon/ChangeLog7
-rw-r--r--x11-libs/qt-phonon/qt-phonon-4.5.0_rc1.ebuild38
-rw-r--r--x11-libs/qt-qt3support/ChangeLog8
-rw-r--r--x11-libs/qt-qt3support/metadata.xml7
-rw-r--r--x11-libs/qt-qt3support/qt-qt3support-4.5.0_rc1.ebuild38
-rw-r--r--x11-libs/qt-script/ChangeLog7
-rw-r--r--x11-libs/qt-script/qt-script-4.5.0_rc1.ebuild32
-rw-r--r--x11-libs/qt-sql/ChangeLog7
-rw-r--r--x11-libs/qt-sql/qt-sql-4.5.0_rc1.ebuild70
-rw-r--r--x11-libs/qt-svg/ChangeLog7
-rw-r--r--x11-libs/qt-svg/qt-svg-4.5.0_rc1.ebuild44
-rw-r--r--x11-libs/qt-test/ChangeLog7
-rw-r--r--x11-libs/qt-test/qt-test-4.5.0_rc1.ebuild32
-rw-r--r--x11-libs/qt-webkit/ChangeLog7
-rw-r--r--x11-libs/qt-webkit/qt-webkit-4.5.0_rc1.ebuild35
-rw-r--r--x11-libs/qt-xmlpatterns/ChangeLog8
-rw-r--r--x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.5.0_rc1.ebuild31
28 files changed, 854 insertions, 15 deletions
diff --git a/x11-libs/qt-assistant/ChangeLog b/x11-libs/qt-assistant/ChangeLog
index 0fc3ad917e40..12ac0de42319 100644
--- a/x11-libs/qt-assistant/ChangeLog
+++ b/x11-libs/qt-assistant/ChangeLog
@@ -1,6 +1,13 @@
# ChangeLog for x11-libs/qt-assistant
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-assistant/ChangeLog,v 1.25 2009/02/06 16:28:44 armin76 Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-assistant/ChangeLog,v 1.26 2009/02/11 23:15:09 yngwin Exp $
+
+*qt-assistant-4.5.0_rc1 (11 Feb 2009)
+
+ 11 Feb 2009; Ben de Groot <yngwin@gentoo.org>
+ +qt-assistant-4.5.0_rc1.ebuild:
+ Version bump. Dropping keywords for arches that don't have qt-webkit
+ keyworded, which is now a hard dependency.
06 Feb 2009; Raúl Porcel <armin76@gentoo.org>
qt-assistant-4.4.2-r1.ebuild:
diff --git a/x11-libs/qt-assistant/qt-assistant-4.5.0_rc1.ebuild b/x11-libs/qt-assistant/qt-assistant-4.5.0_rc1.ebuild
new file mode 100644
index 000000000000..3da0f063ada7
--- /dev/null
+++ b/x11-libs/qt-assistant/qt-assistant-4.5.0_rc1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-assistant/qt-assistant-4.5.0_rc1.ebuild,v 1.1 2009/02/11 23:15:09 yngwin Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The assistant help module for the Qt toolkit"
+LICENSE="|| ( GPL-3 GPL-2 )"
+SLOT="4"
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 -sparc ~x86"
+IUSE=""
+
+DEPEND="~x11-libs/qt-gui-${PV}[debug=]
+ ~x11-libs/qt-sql-${PV}[debug=,sqlite]
+ ~x11-libs/qt-webkit-${PV}[debug=]"
+RDEPEND="${DEPEND}"
+
+# Pixeltool isn't really assistant related, but it relies on
+# the assistant libraries. And qdoc3 is needed by qt-creator...
+QT4_TARGET_DIRECTORIES="tools/assistant tools/pixeltool tools/qdoc3"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+src/3rdparty/clucene/
+tools/shared/fontpanel
+include/
+src/
+doc/"
+
+src_configure() {
+ myconf="${myconf} -no-xkb -no-fontconfig -no-xrender -no-xrandr
+ -no-xfixes -no-xcursor -no-xinerama -no-xshape -no-sm -no-opengl
+ -no-nas-sound -no-dbus -iconv -no-cups -no-nis -no-gif -no-libpng
+ -no-libmng -no-libjpeg -no-openssl -system-zlib -no-phonon
+ -no-xmlpatterns -no-freetype -no-libtiff -no-accessibility
+ -no-fontconfig -no-glib -no-opengl -no-qt3support -no-svg -no-gtkstyle"
+ qt4-build_src_configure
+}
+
+src_install() {
+ qt4-build_src_install
+ insinto ${QTDOCDIR}
+ doins -r "${S}"/doc/qch/ || die "Installing qch documentation failed"
+ dobin "${S}"/tools/qdoc3/qdoc3 || die "Installing qdoc3 failed"
+ domenu "${FILESDIR}"/Assistant.desktop
+}
diff --git a/x11-libs/qt-core/ChangeLog b/x11-libs/qt-core/ChangeLog
index 83daa70d520f..4ef3007dbd8a 100644
--- a/x11-libs/qt-core/ChangeLog
+++ b/x11-libs/qt-core/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for x11-libs/qt-core
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-core/ChangeLog,v 1.24 2009/02/06 16:25:38 armin76 Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-core/ChangeLog,v 1.25 2009/02/11 23:15:42 yngwin Exp $
+
+ 11 Feb 2009; Ben de Groot <yngwin@gentoo.org> ChangeLog:
+ Version bump
06 Feb 2009; Raúl Porcel <armin76@gentoo.org> qt-core-4.4.2.ebuild:
ia64/sparc stable wrt #248038
diff --git a/x11-libs/qt-core/qt-core-4.5.0_rc1.ebuild b/x11-libs/qt-core/qt-core-4.5.0_rc1.ebuild
new file mode 100644
index 000000000000..980086227f4c
--- /dev/null
+++ b/x11-libs/qt-core/qt-core-4.5.0_rc1.ebuild
@@ -0,0 +1,187 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-core/qt-core-4.5.0_rc1.ebuild,v 1.1 2009/02/11 23:15:42 yngwin Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The Qt toolkit is a comprehensive C++ application development framework"
+LICENSE="|| ( GPL-3 GPL-2 )"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="doc +glib +qt3support +ssl"
+
+RDEPEND="sys-libs/zlib
+ glib? ( dev-libs/glib )
+ ssl? ( dev-libs/openssl )
+ !<x11-libs/qt-4.4.0:4"
+DEPEND="${RDEPEND}
+ dev-util/pkgconfig"
+PDEPEND="qt3support? ( ~x11-libs/qt-gui-${PV}[qt3support] )"
+
+QT4_TARGET_DIRECTORIES="
+src/tools/moc/
+src/tools/rcc/
+src/tools/uic/
+src/corelib/
+src/xml/
+src/network/
+src/plugins/codecs/"
+
+# Most ebuilds inlude almost everything for testing
+# Will clear out unneeded directories after everything else works OK
+QT4_EXTRACT_DIRECTORIES="
+include/Qt/
+include/QtCore/
+include/QtNetwork/
+include/QtScript/
+include/QtXml/
+src/plugins/plugins.pro
+src/plugins/qpluginbase.pri
+src/src.pro
+src/3rdparty/des/
+src/3rdparty/harfbuzz/
+src/3rdparty/md4/
+src/3rdparty/md5/
+src/3rdparty/sha1/
+src/script/
+translations/"
+
+pkg_setup() {
+ qt4-build_pkg_setup
+
+ if has_version x11-libs/qt-core; then
+ # Check to see if they've changed the glib flag since the last time installing this package.
+
+ if use glib && ! built_with_use x11-libs/qt-core glib && has_version x11-libs/qt-gui; then
+ ewarn "You have changed the \"glib\" use flag since the last time you have emerged this package."
+ ewarn "You should also re-emerge x11-libs/qt-gui in order for it to pick up this change."
+ elif ! use glib && built_with_use x11-libs/qt-core glib && has_version x11-libs/qt-gui; then
+ ewarn "You have changed the \"glib\" use flag since the last time you have emerged this package."
+ ewarn "You should also re-emerge x11-libs/qt-gui in order for it to pick up this change."
+ fi
+
+ # Check to see if they've changed the qt3support flag since the last time installing this package.
+ # If so, give a list of packages they need to uninstall first.
+
+ if use qt3support && ! built_with_use x11-libs/qt-core qt3support; then
+ local need_to_remove
+ ewarn "You have changed the \"qt3support\" use flag since the last time you have emerged this package."
+ for x in sql opengl gui qt3support; do
+ local pkg="x11-libs/qt-${x}"
+ if has_version $pkg; then
+ need_to_remove="${need_to_remove} ${pkg}"
+ fi
+ done
+ if [[ -n ${need_to_remove} ]]; then
+ die "You must first uninstall these packages before continuing: \n\t\t${need_to_remove}"
+ fi
+ elif ! use qt3support && built_with_use x11-libs/qt-core qt3support ; then
+ local need_to_remove
+ ewarn "You have changed the \"qt3support\" use flag since the last time you have emerged this package."
+ for x in sql opengl gui qt3support; do
+ local pkg="x11-libs/qt-${x}"
+ if has_version $pkg; then
+ need_to_remove="${need_to_remove} ${pkg}"
+ fi
+ done
+ if [[ -n ${need_to_remove} ]]; then
+ die "You must first uninstall these packages before continuing: \n\t\t${need_to_remove}"
+ fi
+ fi
+ fi
+}
+
+src_unpack() {
+ if use doc; then
+ QT4_EXTRACT_DIRECTORIES="${QT4_EXTRACT_DIRECTORIES}
+ doc/"
+ QT4_TARGET_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+ tools/qdoc3"
+ fi
+ QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+ ${QT4_EXTRACT_DIRECTORIES}"
+
+ qt4-build_src_unpack
+
+ # Don't pre-strip, bug 235026
+ for i in kr jp cn tw ; do
+ echo "CONFIG+=nostrip" >> "${S}"/src/plugins/codecs/${i}/${i}.pro
+ done
+}
+
+src_configure() {
+ unset QMAKESPEC
+
+ myconf="${myconf}
+ $(qt_use glib)
+ $(qt_use ssl openssl)
+ $(qt_use qt3support)"
+
+ myconf="${myconf} -no-xkb -no-fontconfig -no-xrender -no-xrandr
+ -no-xfixes -no-xcursor -no-xinerama -no-xshape -no-sm -no-opengl
+ -no-nas-sound -no-dbus -iconv -no-cups -no-gif -no-libpng
+ -no-libmng -no-libjpeg -system-zlib -no-webkit -no-phonon -no-xmlpatterns
+ -no-freetype -no-libtiff -no-accessibility -no-fontconfig -no-opengl
+ -no-svg -no-gtkstyle"
+
+ if ! use doc; then
+ myconf="${myconf} -nomake docs"
+ fi
+
+ cp -f "${FILESDIR}"/moc.pro "${S}"/src/tools/moc/
+ cp -f "${FILESDIR}"/rcc.pro "${S}"/src/tools/rcc/
+ cp -f "${FILESDIR}"/uic.pro "${S}"/src/tools/uic/
+
+ qt4-build_src_configure
+}
+
+src_install() {
+ dobin "${S}"/bin/{qmake,moc,rcc,uic} || die "dobin failed."
+
+ install_directories src/{corelib,xml,network,plugins/codecs}
+
+ emake INSTALL_ROOT="${D}" install_mkspecs || die "emake install_mkspecs failed"
+
+ if use doc; then
+ emake INSTALL_ROOT="${D}" install_htmldocs || die "emake install_htmldocs failed."
+ fi
+
+ emake INSTALL_ROOT="${D}" install_translations || die "emake install_translations failed"
+
+ fix_library_files
+
+ # List all the multilib libdirs
+ local libdirs
+ for libdir in $(get_all_libdirs); do
+ libdirs="${libdirs}:/usr/${libdir}/qt4"
+ done
+
+ cat <<-EOF > "${T}/44qt4"
+ LDPATH=${libdirs:1}
+ EOF
+ doenvd "${T}/44qt4"
+
+ dodir /${QTDATADIR}/mkspecs/gentoo
+ mv "${D}"/${QTDATADIR}/mkspecs/qconfig.pri "${D}${QTDATADIR}"/mkspecs/gentoo || \
+ die "Failed to move qconfig.pri"
+
+ sed -i -e '2a#include <Gentoo/gentoo-qconfig.h>\n' \
+ "${D}${QTHEADERDIR}"/QtCore/qconfig.h \
+ "${D}${QTHEADERDIR}"/Qt/qconfig.h || die "sed for qconfig.h failed."
+
+ if use glib; then
+ QCONFIG_DEFINE="$(use glib && echo QT_GLIB)
+ $(use ssl && echo QT_OPENSSL)"
+ install_qconfigs
+ fi
+
+ # remove some unnecessary headers
+ rm -f "${D}${QTHEADERDIR}"/{Qt,QtCore}/{\
+qatomic_macosx.h,\
+qatomic_windows.h,\
+qatomic_windowsce.h,\
+qt_windows.h}
+
+ keepdir "${QTSYSCONFDIR}"
+}
diff --git a/x11-libs/qt-dbus/ChangeLog b/x11-libs/qt-dbus/ChangeLog
index 079c115118f4..d4f199ae026d 100644
--- a/x11-libs/qt-dbus/ChangeLog
+++ b/x11-libs/qt-dbus/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-dbus
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-dbus/ChangeLog,v 1.20 2009/02/06 16:19:59 armin76 Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-dbus/ChangeLog,v 1.21 2009/02/11 23:16:14 yngwin Exp $
+
+*qt-dbus-4.5.0_rc1 (11 Feb 2009)
+
+ 11 Feb 2009; Ben de Groot <yngwin@gentoo.org> +qt-dbus-4.5.0_rc1.ebuild:
+ Version bump
06 Feb 2009; Raúl Porcel <armin76@gentoo.org> qt-dbus-4.4.2.ebuild:
ia64/sparc stable wrt #248038
diff --git a/x11-libs/qt-dbus/qt-dbus-4.5.0_rc1.ebuild b/x11-libs/qt-dbus/qt-dbus-4.5.0_rc1.ebuild
new file mode 100644
index 000000000000..6555eca07bc9
--- /dev/null
+++ b/x11-libs/qt-dbus/qt-dbus-4.5.0_rc1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-dbus/qt-dbus-4.5.0_rc1.ebuild,v 1.1 2009/02/11 23:16:14 yngwin Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The DBus module for the Qt toolkit"
+LICENSE="|| ( GPL-3 GPL-2 )"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE=""
+
+DEPEND="~x11-libs/qt-core-${PV}[debug=]
+ >=sys-apps/dbus-1.0.2"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="
+src/dbus
+tools/qdbus/qdbus
+tools/qdbus/qdbusxml2cpp
+tools/qdbus/qdbuscpp2xml"
+QCONFIG_ADD="dbus dbus-linked"
+QCONFIG_DEFINE="QT_DBUS"
+
+#FIXME: Check if these are still needed with the header package
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/QtCore
+include/QtDBus
+include/QtXml
+src/corelib
+src/xml"
+
+src_configure() {
+ myconf="${myconf} -dbus-linked"
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-gui/ChangeLog b/x11-libs/qt-gui/ChangeLog
index ab5b4e960714..f2f75d5b6dcd 100644
--- a/x11-libs/qt-gui/ChangeLog
+++ b/x11-libs/qt-gui/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-gui
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-gui/ChangeLog,v 1.26 2009/02/06 16:25:02 armin76 Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-gui/ChangeLog,v 1.27 2009/02/11 23:16:48 yngwin Exp $
+
+*qt-gui-4.5.0_rc1 (11 Feb 2009)
+
+ 11 Feb 2009; Ben de Groot <yngwin@gentoo.org> +qt-gui-4.5.0_rc1.ebuild:
+ Version bump
06 Feb 2009; Raúl Porcel <armin76@gentoo.org> qt-gui-4.4.2-r1.ebuild:
ia64/sparc stable wrt #248038
diff --git a/x11-libs/qt-gui/metadata.xml b/x11-libs/qt-gui/metadata.xml
index c7a436a80508..a9ad16fd48a4 100644
--- a/x11-libs/qt-gui/metadata.xml
+++ b/x11-libs/qt-gui/metadata.xml
@@ -1,13 +1,19 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <herd>qt</herd>
+ <herd>qt</herd>
<use>
<flag name='glib'>
Enable <pkg>dev-libs/glib</pkg> eventloop support
</flag>
+ <flag name='gtkstyle'>
+ Build the Qt-GTK+ style, which integrates Qt4 apps with the GTK+ theme
+ </flag>
<flag name='qt3support'>Enable the Qt3Support libraries for Qt4. Note that
this does not mean you can compile pure Qt3 programs with Qt4.
</flag>
+ <flag name='raster'>
+ Use the alternative raster graphicssystem as default rendering engine
+ </flag>
</use>
</pkgmetadata>
diff --git a/x11-libs/qt-gui/qt-gui-4.5.0_rc1.ebuild b/x11-libs/qt-gui/qt-gui-4.5.0_rc1.ebuild
new file mode 100644
index 000000000000..8c7568ac3408
--- /dev/null
+++ b/x11-libs/qt-gui/qt-gui-4.5.0_rc1.ebuild
@@ -0,0 +1,132 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-gui/qt-gui-4.5.0_rc1.ebuild,v 1.1 2009/02/11 23:16:48 yngwin Exp $
+
+EAPI="2"
+inherit eutils qt4-build
+
+DESCRIPTION="The GUI module for the Qt toolkit"
+LICENSE="|| ( GPL-3 GPL-2 )"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+
+IUSE="+accessibility cups +dbus +glib +gtkstyle mng nas nis raster tiff +qt3support xinerama"
+
+RDEPEND="media-libs/fontconfig
+ >=media-libs/freetype-2
+ media-libs/jpeg
+ media-libs/libpng
+ sys-libs/zlib
+ x11-libs/libXrandr
+ x11-libs/libXcursor
+ x11-libs/libXfont
+ x11-libs/libSM
+ ~x11-libs/qt-core-${PV}[debug=,glib=,qt3support=]
+ ~x11-libs/qt-script-${PV}[debug=]
+ cups? ( net-print/cups )
+ dbus? ( ~x11-libs/qt-dbus-${PV}[debug=] )
+ mng? ( >=media-libs/libmng-1.0.9 )
+ nas? ( >=media-libs/nas-1.5 )
+ tiff? ( media-libs/tiff )
+ xinerama? ( x11-libs/libXinerama )"
+DEPEND="${RDEPEND}
+ xinerama? ( x11-proto/xineramaproto )
+ x11-proto/xextproto
+ x11-proto/inputproto"
+PDEPEND="qt3support? ( ~x11-libs/qt-qt3support-${PV}[debug=] )"
+
+QT4_TARGET_DIRECTORIES="
+src/gui
+tools/designer
+tools/linguist
+src/plugins/imageformats/gif
+src/plugins/imageformats/ico
+src/plugins/imageformats/jpeg"
+QT4_EXTRACT_DIRECTORIES="
+include/
+src/
+tools/shared/"
+
+src_unpack() {
+ use dbus && QT4_TARGET_DIRECTORIES="${QT4_TARGET_DIRECTORIES} tools/qdbus/qdbusviewer"
+ use mng && QT4_TARGET_DIRECTORIES="${QT4_TARGET_DIRECTORIES} src/plugins/imageformats/mng"
+ use tiff && QT4_TARGET_DIRECTORIES="${QT4_TARGET_DIRECTORIES} src/plugins/imageformats/tiff"
+ QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+ ${QT4_EXTRACT_DIRECTORIES}"
+
+ qt4-build_src_unpack
+}
+
+src_prepare() {
+ qt4-build_src_prepare
+
+ # Don't build plugins this go around, because they depend on qt3support lib
+ sed -i -e "s:CONFIG(shared:# &:g" "${S}"/tools/designer/src/src.pro
+
+ # fixing hardcoded fonts, bug #252312
+ EPATCH_OPTS="--ignore-whitespace"
+ epatch "${FILESDIR}"/hardcoded_fonts.patch
+}
+
+src_configure() {
+ export PATH="${S}/bin:${PATH}"
+ export LD_LIBRARY_PATH="${S}/lib:${LD_LIBRARY_PATH}"
+
+ myconf="$(qt_use accessibility)
+ $(qt_use cups)
+ $(qt_use glib)
+ $(qt_use mng libmng system)
+ $(qt_use nis)
+ $(qt_use tiff libtiff system)
+ $(qt_use dbus qdbus)
+ $(qt_use qt3support)
+ $(qt_use gtkstyle)
+ $(qt_use xinerama)"
+
+ use nas && myconf="${myconf} -system-nas-sound"
+ use raster && myconf="${myconf} -graphicssystem raster"
+
+ myconf="${myconf} -qt-gif -system-libpng -system-libjpeg
+ -no-sql-mysql -no-sql-psql -no-sql-ibase -no-sql-sqlite -no-sql-sqlite2 -no-sql-odbc
+ -xrender -xrandr -xkb -xshape -sm -no-svg"
+
+ # Explictly don't compile these packages.
+ # Emerge "qt-webkit", "qt-phonon", etc for their functionality.
+ myconf="${myconf} -no-webkit -no-phonon -no-dbus -no-opengl"
+
+ qt4-build_src_configure
+}
+
+src_install() {
+ QCONFIG_ADD="x11sm xshape xcursor xfixes xrandr xrender xkb fontconfig
+ $(usev accessibility) $(usev xinerama) $(usev cups) $(usev nas)
+ gif png system-png system-jpeg
+ $(use mng && echo system-mng) $(use tiff && echo system-tiff)"
+ QCONFIG_REMOVE="no-gif no-png"
+ QCONFIG_DEFINE="$(use accessibility && echo QT_ACCESSIBILITY)
+ $(use cups && echo QT_CUPS) QT_FONTCONFIG QT_IMAGEFORMAT_JPEG
+ $(use mng && echo QT_IMAGEFORMAT_MNG) $(use nas && echo QT_NAS)
+ $(use nis && echo QT_NIS) QT_IMAGEFORMAT_PNG QT_SESSIONMANAGER QT_SHAPE
+ $(use tiff && echo QT_IMAGEFORMAT_TIFF) QT_XCURSOR
+ $(use xinerama && echo QT_XINERAMA) QT_XFIXES QT_XKB QT_XRANDR QT_XRENDER"
+
+ qt4-build_src_install
+
+ # remove some unnecessary headers
+ rm -f "${D}${QTHEADERDIR}"/{Qt,QtGui}/{qmacstyle_mac.h,qwindowdefs_win.h} \
+ "${D}${QTHEADERDIR}"/QtGui/QMacStyle
+
+ # qt-creator
+ # some qt-creator headers are located
+ # under /usr/include/qt4/QtDesigner/private.
+ # those headers are just includes of the headers
+ # which are located under tools/designer/src/lib/*
+ # So instead of installing both, we create the private folder
+ # and drop tools/designer/src/lib/* headers in it.
+ dodir /usr/include/qt4/QtDesigner/private/
+ insinto /usr/include/qt4/QtDesigner/private/
+ doins "${S}"/tools/designer/src/lib/shared/*
+ doins "${S}"/tools/designer/src/lib/sdk/*
+
+ domenu "${FILESDIR}"/{Designer,Linguist}.desktop
+}
diff --git a/x11-libs/qt-opengl/ChangeLog b/x11-libs/qt-opengl/ChangeLog
index c78e1aa66789..1c7bf1e981ad 100644
--- a/x11-libs/qt-opengl/ChangeLog
+++ b/x11-libs/qt-opengl/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-opengl
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-opengl/ChangeLog,v 1.21 2009/02/06 16:27:26 armin76 Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-opengl/ChangeLog,v 1.22 2009/02/11 23:17:21 yngwin Exp $
+
+*qt-opengl-4.5.0_rc1 (11 Feb 2009)
+
+ 11 Feb 2009; Ben de Groot <yngwin@gentoo.org> +qt-opengl-4.5.0_rc1.ebuild:
+ Version bump
06 Feb 2009; Raúl Porcel <armin76@gentoo.org> qt-opengl-4.4.2.ebuild:
ia64/sparc stable wrt #248038
diff --git a/x11-libs/qt-opengl/qt-opengl-4.5.0_rc1.ebuild b/x11-libs/qt-opengl/qt-opengl-4.5.0_rc1.ebuild
new file mode 100644
index 000000000000..e096b93d3140
--- /dev/null
+++ b/x11-libs/qt-opengl/qt-opengl-4.5.0_rc1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-opengl/qt-opengl-4.5.0_rc1.ebuild,v 1.1 2009/02/11 23:17:21 yngwin Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The OpenGL module for the Qt toolkit"
+LICENSE="|| ( GPL-3 GPL-2 )"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="+qt3support"
+
+DEPEND="~x11-libs/qt-core-${PV}[debug=,qt3support=]
+ ~x11-libs/qt-gui-${PV}[debug=,qt3support=]
+ virtual/opengl
+ virtual/glu"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="src/opengl"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/QtCore
+include/QtGui
+include/QtOpenGL
+src/corelib
+src/gui
+src/3rdparty"
+
+QCONFIG_ADD="opengl"
+QCONFIG_DEFINE="QT_OPENGL"
+
+src_configure() {
+ myconf="${myconf} -opengl
+ $(qt_use qt3support)"
+
+ qt4-build_src_configure
+
+ # Not building tools/designer/src/plugins/tools/view3d as it's
+ # commented out of the build in the source
+}
diff --git a/x11-libs/qt-phonon/ChangeLog b/x11-libs/qt-phonon/ChangeLog
index 54c3ddebfb8d..520231c02145 100644
--- a/x11-libs/qt-phonon/ChangeLog
+++ b/x11-libs/qt-phonon/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-phonon
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-phonon/ChangeLog,v 1.17 2009/02/04 23:29:56 ranger Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-phonon/ChangeLog,v 1.18 2009/02/11 23:17:55 yngwin Exp $
+
+*qt-phonon-4.5.0_rc1 (11 Feb 2009)
+
+ 11 Feb 2009; Ben de Groot <yngwin@gentoo.org> +qt-phonon-4.5.0_rc1.ebuild:
+ Version bump
04 Feb 2009; Brent Baude <ranger@gentoo.org> qt-phonon-4.4.2.ebuild:
Marking qt-phonon-4.4.2 ppc64 stable for bug 248038
diff --git a/x11-libs/qt-phonon/qt-phonon-4.5.0_rc1.ebuild b/x11-libs/qt-phonon/qt-phonon-4.5.0_rc1.ebuild
new file mode 100644
index 000000000000..e690b225aa34
--- /dev/null
+++ b/x11-libs/qt-phonon/qt-phonon-4.5.0_rc1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-phonon/qt-phonon-4.5.0_rc1.ebuild,v 1.1 2009/02/11 23:17:55 yngwin Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The Phonon module for the Qt toolkit"
+LICENSE="|| ( GPL-3 GPL-2 )"
+SLOT="4"
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~x86"
+IUSE="+dbus"
+
+DEPEND="~x11-libs/qt-gui-${PV}[debug=,glib,qt3support]
+ !kde-base/phonon-kde
+ !kde-base/phonon-xine
+ !media-sound/phonon
+ media-libs/gstreamer
+ media-libs/gst-plugins-base
+ dbus? ( =x11-libs/qt-dbus-${PV}[debug=] )"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="
+src/phonon
+src/plugins/phonon"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/
+src"
+
+QCONFIG_ADD="phonon"
+QCONFIG_DEFINE="QT_GSTREAMER"
+
+src_configure() {
+ myconf="${myconf} -phonon -no-opengl -no-svg
+ $(qt_use dbus qdbus)"
+
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-qt3support/ChangeLog b/x11-libs/qt-qt3support/ChangeLog
index f1235a5e32f7..3b6306f6bc71 100644
--- a/x11-libs/qt-qt3support/ChangeLog
+++ b/x11-libs/qt-qt3support/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for x11-libs/qt-qt3support
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-qt3support/ChangeLog,v 1.21 2009/02/06 16:24:25 armin76 Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-qt3support/ChangeLog,v 1.22 2009/02/11 23:18:29 yngwin Exp $
+
+*qt-qt3support-4.5.0_rc1 (11 Feb 2009)
+
+ 11 Feb 2009; Ben de Groot <yngwin@gentoo.org>
+ +qt-qt3support-4.5.0_rc1.ebuild:
+ Version bump
06 Feb 2009; Raúl Porcel <armin76@gentoo.org> qt-qt3support-4.4.2.ebuild:
ia64/sparc stable wrt #248038
diff --git a/x11-libs/qt-qt3support/metadata.xml b/x11-libs/qt-qt3support/metadata.xml
index 01a5c2875e0d..c072d29cbc11 100644
--- a/x11-libs/qt-qt3support/metadata.xml
+++ b/x11-libs/qt-qt3support/metadata.xml
@@ -1,5 +1,10 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
-<herd>qt</herd>
+ <herd>qt</herd>
+ <use>
+ <flag name='phonon'>
+ Enable phonon configuration dialog in qtconfig
+ </flag>
+ </use>
</pkgmetadata>
diff --git a/x11-libs/qt-qt3support/qt-qt3support-4.5.0_rc1.ebuild b/x11-libs/qt-qt3support/qt-qt3support-4.5.0_rc1.ebuild
new file mode 100644
index 000000000000..3f778a755408
--- /dev/null
+++ b/x11-libs/qt-qt3support/qt-qt3support-4.5.0_rc1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-qt3support/qt-qt3support-4.5.0_rc1.ebuild,v 1.1 2009/02/11 23:18:29 yngwin Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The Qt3 support module for the Qt toolkit"
+LICENSE="|| ( GPL-3 GPL-2 )"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="+accessibility phonon"
+
+DEPEND="~x11-libs/qt-core-${PV}[debug=,qt3support]
+ ~x11-libs/qt-gui-${PV}[accessibility=,debug=,qt3support]
+ ~x11-libs/qt-sql-${PV}[debug=,qt3support]"
+RDEPEND="${DEPEND}"
+PDEPEND="phonon? (
+ || ( ~x11-libs/qt-phonon-${PV}[debug=] media-sound/phonon[gstreamer] ) )"
+
+QT4_TARGET_DIRECTORIES="
+src/qt3support
+src/tools/uic3
+tools/designer/src/plugins/widgets
+tools/qtconfig
+tools/porting"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+src/
+include/
+tools/"
+
+src_configure() {
+ myconf="${myconf} -qt3support
+ $(qt_use phonon gstreamer)
+ $(qt_use phonon)
+ $(qt_use accessibility)"
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-script/ChangeLog b/x11-libs/qt-script/ChangeLog
index ec65affa4c0f..666fe23921ef 100644
--- a/x11-libs/qt-script/ChangeLog
+++ b/x11-libs/qt-script/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-script
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-script/ChangeLog,v 1.20 2009/02/06 16:20:35 armin76 Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-script/ChangeLog,v 1.21 2009/02/11 23:19:01 yngwin Exp $
+
+*qt-script-4.5.0_rc1 (11 Feb 2009)
+
+ 11 Feb 2009; Ben de Groot <yngwin@gentoo.org> +qt-script-4.5.0_rc1.ebuild:
+ Version bump
06 Feb 2009; Raúl Porcel <armin76@gentoo.org> qt-script-4.4.2.ebuild:
ia64/sparc stable wrt #248038
diff --git a/x11-libs/qt-script/qt-script-4.5.0_rc1.ebuild b/x11-libs/qt-script/qt-script-4.5.0_rc1.ebuild
new file mode 100644
index 000000000000..7e35e343186b
--- /dev/null
+++ b/x11-libs/qt-script/qt-script-4.5.0_rc1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-script/qt-script-4.5.0_rc1.ebuild,v 1.1 2009/02/11 23:19:01 yngwin Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The ECMAScript module for the Qt toolkit"
+LICENSE="|| ( GPL-3 GPL-2 )"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE=""
+
+DEPEND="~x11-libs/qt-core-${PV}[debug=]"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="src/script/"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/Qt/
+include/QtCore/
+include/QtScript/
+src/corelib/"
+
+src_configure() {
+ myconf="${myconf} -no-xkb -no-fontconfig -no-xrender -no-xrandr
+ -no-xfixes -no-xcursor -no-xinerama -no-xshape -no-sm -no-opengl
+ -no-nas-sound -no-dbus -iconv -no-cups -no-nis -no-gif -no-libpng
+ -no-libmng -no-libjpeg -no-openssl -system-zlib -no-webkit -no-phonon
+ -no-qt3support -no-xmlpatterns -no-freetype -no-libtiff -no-accessibility
+ -no-fontconfig -no-glib -no-opengl -no-svg -no-gtkstyle"
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-sql/ChangeLog b/x11-libs/qt-sql/ChangeLog
index 64234833c641..276bf06ebb49 100644
--- a/x11-libs/qt-sql/ChangeLog
+++ b/x11-libs/qt-sql/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-sql
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-sql/ChangeLog,v 1.25 2009/02/06 16:23:47 armin76 Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-sql/ChangeLog,v 1.26 2009/02/11 23:19:38 yngwin Exp $
+
+*qt-sql-4.5.0_rc1 (11 Feb 2009)
+
+ 11 Feb 2009; Ben de Groot <yngwin@gentoo.org> +qt-sql-4.5.0_rc1.ebuild:
+ Version bump
06 Feb 2009; Raúl Porcel <armin76@gentoo.org> qt-sql-4.4.2.ebuild:
ia64/sparc stable wrt #248038
diff --git a/x11-libs/qt-sql/qt-sql-4.5.0_rc1.ebuild b/x11-libs/qt-sql/qt-sql-4.5.0_rc1.ebuild
new file mode 100644
index 000000000000..ff98955d9438
--- /dev/null
+++ b/x11-libs/qt-sql/qt-sql-4.5.0_rc1.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-sql/qt-sql-4.5.0_rc1.ebuild,v 1.1 2009/02/11 23:19:38 yngwin Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The SQL module for the Qt toolkit"
+LICENSE="|| ( GPL-3 GPL-2 )"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+
+IUSE="firebird mysql odbc postgres +qt3support +sqlite"
+
+DEPEND="~x11-libs/qt-core-${PV}[debug=,qt3support=]
+ firebird? ( dev-db/firebird )
+ sqlite? ( dev-db/sqlite:3 )
+ mysql? ( virtual/mysql )
+ postgres? ( virtual/postgresql-base )
+ odbc? ( dev-db/unixODBC )"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="src/sql src/plugins/sqldrivers"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/Qt/
+include/QtCore/
+include/QtSql/
+include/QtScript/
+src/src.pro
+src/corelib/
+src/plugins
+src/sql
+src/3rdparty
+src/tools"
+
+pkg_setup() {
+ if ! (use firebird || use mysql || use odbc || use postgres || use sqlite); then
+ ewarn "You need to enable at least one SQL driver. Enable at least"
+ ewarn "one of these USE flags: \"firebird mysql odbc postgres sqlite\""
+ die "Enable at least one SQL driver."
+ fi
+
+ qt4-build_pkg_setup
+}
+
+src_unpack() {
+ qt4-build_src_unpack
+
+ sed -e '/pg_config --libs/d' -i "${S}"/configure \
+ || die 'Sed to fix postgresql usage in ./configure failed.'
+}
+
+src_configure() {
+ # Don't support sqlite2 anymore
+ myconf="${myconf} -no-sql-sqlite2
+ $(qt_use mysql sql-mysql plugin) $(use mysql && echo "-I/usr/include/mysql -L/usr/$(get_libdir)/mysql ")
+ $(qt_use postgres sql-psql plugin) $(use postgres && echo "-I/usr/include/postgresql/pgsql ")
+ $(qt_use sqlite sql-sqlite plugin) $(use sqlite && echo '-system-sqlite')
+ $(qt_use odbc sql-odbc plugin)
+ $(qt_use qt3support)"
+
+ myconf="${myconf} -no-xkb -no-fontconfig -no-xrender -no-xrandr
+ -no-xfixes -no-xcursor -no-xinerama -no-xshape -no-sm -no-opengl
+ -no-nas-sound -no-dbus -iconv -no-cups -no-nis -no-gif -no-libpng
+ -no-libmng -no-libjpeg -no-openssl -system-zlib -no-webkit -no-phonon
+ -no-xmlpatterns -no-freetype -no-libtiff -no-accessibility -no-fontconfig
+ -no-glib -no-opengl -no-svg -no-gtkstyle"
+
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-svg/ChangeLog b/x11-libs/qt-svg/ChangeLog
index edb019f0964f..94864e1e0d76 100644
--- a/x11-libs/qt-svg/ChangeLog
+++ b/x11-libs/qt-svg/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-svg
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-svg/ChangeLog,v 1.20 2009/02/06 16:28:08 armin76 Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-svg/ChangeLog,v 1.21 2009/02/11 23:20:12 yngwin Exp $
+
+*qt-svg-4.5.0_rc1 (11 Feb 2009)
+
+ 11 Feb 2009; Ben de Groot <yngwin@gentoo.org> +qt-svg-4.5.0_rc1.ebuild:
+ Version bump
06 Feb 2009; Raúl Porcel <armin76@gentoo.org> qt-svg-4.4.2.ebuild:
ia64/sparc stable wrt #248038
diff --git a/x11-libs/qt-svg/qt-svg-4.5.0_rc1.ebuild b/x11-libs/qt-svg/qt-svg-4.5.0_rc1.ebuild
new file mode 100644
index 000000000000..c42134454778
--- /dev/null
+++ b/x11-libs/qt-svg/qt-svg-4.5.0_rc1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-svg/qt-svg-4.5.0_rc1.ebuild,v 1.1 2009/02/11 23:20:12 yngwin Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The SVG module for the Qt toolkit"
+LICENSE="|| ( GPL-3 GPL-2 )"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE=""
+
+DEPEND="~x11-libs/qt-gui-${PV}[debug=]"
+RDEPEND="${DEPEND}"
+
+QCONFIG_ADD="svg"
+QCONFIG_DEFINE="QT_SVG"
+QT4_TARGET_DIRECTORIES="
+src/svg
+src/plugins/imageformats/svg
+src/plugins/iconengines/svgiconengine"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/QtSvg/
+include/Qt/
+include/QtGui/
+include/QtCore/
+include/QtXml/
+src/corelib/
+src/gui/
+src/plugins/
+src/svg/
+src/xml
+src/3rdparty"
+
+src_configure() {
+ myconf="${myconf} -svg -no-xkb -no-fontconfig -no-xrender -no-xrandr
+ -no-xfixes -no-xcursor -no-xinerama -no-xshape -no-sm -no-opengl
+ -no-nas-sound -no-dbus -iconv -no-cups -no-nis -no-gif -no-libpng
+ -no-libmng -no-libjpeg -no-openssl -system-zlib -no-webkit -no-phonon
+ -no-qt3support -no-xmlpatterns -no-freetype -no-libtiff -no-accessibility
+ -v -no-fontconfig -no-glib -no-opengl -no-gtkstyle -continue"
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-test/ChangeLog b/x11-libs/qt-test/ChangeLog
index 1fcce162084f..39f8bf3d76b6 100644
--- a/x11-libs/qt-test/ChangeLog
+++ b/x11-libs/qt-test/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-test
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-test/ChangeLog,v 1.19 2009/02/06 16:26:14 armin76 Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-test/ChangeLog,v 1.20 2009/02/11 23:20:44 yngwin Exp $
+
+*qt-test-4.5.0_rc1 (11 Feb 2009)
+
+ 11 Feb 2009; Ben de Groot <yngwin@gentoo.org> +qt-test-4.5.0_rc1.ebuild:
+ Version bump
06 Feb 2009; Raúl Porcel <armin76@gentoo.org> qt-test-4.4.2.ebuild:
ia64/sparc stable wrt #248038
diff --git a/x11-libs/qt-test/qt-test-4.5.0_rc1.ebuild b/x11-libs/qt-test/qt-test-4.5.0_rc1.ebuild
new file mode 100644
index 000000000000..36a91041eacc
--- /dev/null
+++ b/x11-libs/qt-test/qt-test-4.5.0_rc1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-test/qt-test-4.5.0_rc1.ebuild,v 1.1 2009/02/11 23:20:44 yngwin Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The testing framework module for the Qt toolkit"
+LICENSE="|| ( GPL-3 GPL-2 )"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE=""
+
+DEPEND="~x11-libs/qt-core-${PV}[debug=]"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="src/testlib"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/QtTest/
+include/QtCore/
+src/corelib/
+src/testlib/"
+
+src_configure() {
+ myconf="${myconf} -no-xkb -no-fontconfig -no-xrender -no-xrandr
+ -no-xfixes -no-xcursor -no-xinerama -no-xshape -no-sm -no-opengl
+ -no-nas-sound -no-dbus -iconv -no-cups -no-nis -no-gif -no-libpng
+ -no-libmng -no-libjpeg -no-openssl -system-zlib -no-webkit -no-phonon
+ -no-qt3support -no-xmlpatterns -no-freetype -no-libtiff -no-accessibility
+ -no-fontconfig -no-glib -no-opengl -no-svg"
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-webkit/ChangeLog b/x11-libs/qt-webkit/ChangeLog
index 49c22ecbf986..d01699b141a7 100644
--- a/x11-libs/qt-webkit/ChangeLog
+++ b/x11-libs/qt-webkit/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-webkit
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-webkit/ChangeLog,v 1.19 2009/02/04 23:32:02 ranger Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-webkit/ChangeLog,v 1.20 2009/02/11 23:21:26 yngwin Exp $
+
+*qt-webkit-4.5.0_rc1 (11 Feb 2009)
+
+ 11 Feb 2009; Ben de Groot <yngwin@gentoo.org> +qt-webkit-4.5.0_rc1.ebuild:
+ Version bump
04 Feb 2009; Brent Baude <ranger@gentoo.org> qt-webkit-4.4.2.ebuild:
Marking qt-webkit-4.4.2 ppc64 stable for bug 248038
diff --git a/x11-libs/qt-webkit/qt-webkit-4.5.0_rc1.ebuild b/x11-libs/qt-webkit/qt-webkit-4.5.0_rc1.ebuild
new file mode 100644
index 000000000000..f3f3dd835adc
--- /dev/null
+++ b/x11-libs/qt-webkit/qt-webkit-4.5.0_rc1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-webkit/qt-webkit-4.5.0_rc1.ebuild,v 1.1 2009/02/11 23:21:26 yngwin Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The Webkit module for the Qt toolkit"
+LICENSE="|| ( GPL-3 GPL-2 )"
+SLOT="4"
+KEYWORDS="~amd64 ~hppa ~mips ~ppc ~ppc64 -sparc ~x86"
+IUSE=""
+
+DEPEND="~x11-libs/qt-core-${PV}[debug=,ssl]
+ ~x11-libs/qt-gui-${PV}[debug=]
+ || ( ~x11-libs/qt-phonon-${PV}:${SLOT}[debug=] media-sound/phonon )"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="src/3rdparty/webkit/WebCore tools/designer/src/plugins/qwebview"
+QT4_EXTRACT_DIRECTORIES="
+include/
+src/
+tools/"
+QCONFIG_ADD="webkit"
+QCONFIG_DEFINE="QT_WEBKIT"
+
+src_prepare() {
+ [[ $(tc-arch) == "ppc64" ]] && append-flags -mminimal-toc #241900
+ qt4-build_src_prepare
+}
+
+src_configure() {
+ myconf="${myconf} -webkit"
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-xmlpatterns/ChangeLog b/x11-libs/qt-xmlpatterns/ChangeLog
index e977b6f57a4c..38640679d443 100644
--- a/x11-libs/qt-xmlpatterns/ChangeLog
+++ b/x11-libs/qt-xmlpatterns/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for x11-libs/qt-xmlpatterns
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-xmlpatterns/ChangeLog,v 1.20 2009/02/06 16:26:50 armin76 Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-xmlpatterns/ChangeLog,v 1.21 2009/02/11 23:21:59 yngwin Exp $
+
+*qt-xmlpatterns-4.5.0_rc1 (11 Feb 2009)
+
+ 11 Feb 2009; Ben de Groot <yngwin@gentoo.org>
+ +qt-xmlpatterns-4.5.0_rc1.ebuild:
+ Version bump
06 Feb 2009; Raúl Porcel <armin76@gentoo.org>
qt-xmlpatterns-4.4.2.ebuild:
diff --git a/x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.5.0_rc1.ebuild b/x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.5.0_rc1.ebuild
new file mode 100644
index 000000000000..568195caeed5
--- /dev/null
+++ b/x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.5.0_rc1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.5.0_rc1.ebuild,v 1.1 2009/02/11 23:21:59 yngwin Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The patternist module for the Qt toolkit"
+LICENSE="|| ( GPL-3 GPL-2 )"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE=""
+
+DEPEND="~x11-libs/qt-core-${PV}[debug=]"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="src/xmlpatterns tools/xmlpatterns"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/QtCore
+include/QtNetwork
+include/QtXmlPatterns
+src/network/
+src/corelib/"
+
+QCONFIG_ADD="xmlpatterns"
+QCONFIG_DEFINE="QT_XMLPATTERNS"
+
+src_configure() {
+ myconf="${myconf} -xmlpatterns"
+ qt4-build_src_configure
+}